Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## drm.agentbase
Class JobClassLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--java.security.SecureClassLoader
                  |
                  +--java.net.URLClassLoader
                        |
                        +--drm.agentbase.JobClassLoader

public class JobClassLoader
extends java.net.URLClassLoader

Every agent that lives on a `Base` must have a classloader of this type.

Field Summary
`java.io.File` | `file` The absolute form of the file given to the constructor.

Constructor Summary
`JobClassLoader(java.io.File f)` Creates a job classloader using the given file.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass`

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### file

    public final java.io.File file

  The absolute form of the file given to the constructor.

Constructor Detail

### JobClassLoader

    public JobClassLoader(java.io.File f)

  Creates a job classloader using the given file. The file can be a jar file or a directory. The absolute form of the filename is used, converted to an URL. The default classloader is the system classloader..
  Throws:
    `java.lang.IllegalArgumentException` - if the argument is null or not readable, or cannot be converted to an URL.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD